cURL
curl --request PATCH \ --url https://app.sure.am/api/v1/trades/{id} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "trade": { "name": "<string>", "date": "2023-12-25", "amount": 123, "currency": "<string>", "notes": "<string>", "nature": "buy", "type": "buy", "qty": 123, "price": 123, "investment_activity_label": "<string>", "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date": "2023-12-25", "amount": "<string>", "currency": "<string>", "name": "<string>", "qty": "<string>", "price": "<string>", "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "notes": "<string>", "investment_activity_label": "<string>", "security": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ticker": "<string>", "name": "<string>" }, "category": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } }
API key for authentication. Generate one from your account settings.
Trade ID
Show child attributes
trade updated
Formatted monetary amount (e.g. "$1,234.56")
Share quantity (negative for sells)
Formatted price per share
Activity label (e.g. Buy, Sell, Dividend)
Was this page helpful?